## hubzero-mw-session 0.8.3

=== Makefile ===
# Copyright 2006-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License, version 2.1 as published by the Free Software Foundation.

OWNER=root
GROUP=root
INSTDIR=$(DESTDIR)/usr/lib

all:
	@true

install:
	install --owner $(OWNER) --group $(GROUP) --mode 0770 -d $(INSTDIR)/mw
	install --owner $(OWNER) --group $(GROUP) --mode 0770 -d $(INSTDIR)/mw/bin
	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D startxvnc $(INSTDIR)/mw/bin/startxvnc
	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D mergeauth $(INSTDIR)/mw/bin/mergeauth
	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D screenshot $(INSTDIR)/mw/bin/screenshot
	(cd clientaction; make install)
	(cd pixelflip; make install)

clean:
	@true

## hubzero-mw-session 0.8.4

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,11 @@
 	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D startxvnc $(INSTDIR)/mw/bin/startxvnc
 	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D mergeauth $(INSTDIR)/mw/bin/mergeauth
 	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D screenshot $(INSTDIR)/mw/bin/screenshot
-	(cd clientaction; make install)
-	(cd pixelflip; make install)
+	make -C clientaction install
+	make -C pixelflip install
 
 clean:
-	@true
+	rm -f configure-stamp build-stamp
+	make -C clientaction clean
+	make -C pixelflip clean

=== clientaction/Makefile ===
# Copyright 2006-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License, version 2.1 as published by the Free Software Foundation.

INSTDIR=$(DESTDIR)/usr/lib
OWNER=root
GROUP=root

clientaction: vncExt.o clientaction.o
	cc -o $@ vncExt.o clientaction.o -lX11

clean:
	rm -f clientaction vncExt.o clientaction.o

install: clean clientaction
	install -d $(INSTDIR)/mw --owner $(OWNER) --group $(GROUP) --mode 0755
	install -d $(INSTDIR)/mw/bin --owner $(OWNER) --group $(GROUP) --mode 0755
	install clientaction $(INSTDIR)/mw/bin --owner $(OWNER) --group $(GROUP) --mode 0755

=== pixelflip/Makefile ===
# Copyright 2006-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License, version 2.1 as published by the Free Software Foundation.

INSTDIR=$(DESTDIR)/usr/lib
OWNER=root
GROUP=root

CFLAGS	= -O2
LDFLAGS	= -lX11

pixelflip: pixelflip.c

install: clean pixelflip
	install -d $(INSTDIR)/mw --owner $(OWNER) --group $(GROUP) --mode 0755
	install -d $(INSTDIR)/mw/bin --owner $(OWNER) --group $(GROUP) --mode 0755
	install pixelflip $(INSTDIR)/mw/bin --owner $(OWNER) --group $(GROUP) --mode 0755
	
clean:
	rm -f pixelflip

## hubzero-mw-session 0.9.0

=== Makefile ===
# Copyright 2006-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License, version 2.1 as published by the Free Software Foundation.

OWNER=root
GROUP=root
INSTDIR=$(DESTDIR)/usr/lib

all:
	@true

install:
	install --owner $(OWNER) --group $(GROUP) --mode 0770 -d $(INSTDIR)/hubzero
	install --owner $(OWNER) --group $(GROUP) --mode 0770 -d $(INSTDIR)/hubzero/bin
	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D startxvnc $(INSTDIR)/hubzero/bin/startxvnc
	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D mergeauth $(INSTDIR)/hubzero/bin/mergeauth
	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D screenshot $(INSTDIR)/hubzero/bin/screenshot
	make -C clientaction install
	make -C pixelflip install

clean:
	rm -f configure-stamp build-stamp
	make -C clientaction clean
	make -C pixelflip clean

=== clientaction/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	rm -f clientaction vncExt.o clientaction.o
 
 install: clean clientaction
-	install -d $(INSTDIR)/mw --owner $(OWNER) --group $(GROUP) --mode 0755
-	install -d $(INSTDIR)/mw/bin --owner $(OWNER) --group $(GROUP) --mode 0755
-	install clientaction $(INSTDIR)/mw/bin --owner $(OWNER) --group $(GROUP) --mode 0755
+	install -d $(INSTDIR)/hubzero --owner $(OWNER) --group $(GROUP) --mode 0755
+	install -d $(INSTDIR)/hubzero/bin --owner $(OWNER) --group $(GROUP) --mode 0755
+	install clientaction $(INSTDIR)/hubzero/bin --owner $(OWNER) --group $(GROUP) --mode 0755

=== pixelflip/Makefile ===
--- 
+++ 
@@ -15,9 +15,9 @@
 pixelflip: pixelflip.c
 
 install: clean pixelflip
-	install -d $(INSTDIR)/mw --owner $(OWNER) --group $(GROUP) --mode 0755
-	install -d $(INSTDIR)/mw/bin --owner $(OWNER) --group $(GROUP) --mode 0755
-	install pixelflip $(INSTDIR)/mw/bin --owner $(OWNER) --group $(GROUP) --mode 0755
+	install -d $(INSTDIR)/hubzero --owner $(OWNER) --group $(GROUP) --mode 0755
+	install -d $(INSTDIR)/hubzero/bin --owner $(OWNER) --group $(GROUP) --mode 0755
+	install pixelflip $(INSTDIR)/hubzero/bin --owner $(OWNER) --group $(GROUP) --mode 0755
 	
 clean:
 	rm -f pixelflip

## hubzero-mw-session 1.0.0

=== Makefile ===
# @package      hubzero-mw-session
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2011 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.

OWNER=root
GROUP=root
USRLIBDIR=$(DESTDIR)/usr/lib
ETCDIR=$(DESTDIR)/etc

all:
	@true

install:
	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(USRLIBDIR)/hubzero
	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(USRLIBDIR)/hubzero/bin
	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D startxvnc $(USRLIBDIR)/hubzero/bin/startxvnc
	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D mergeauth $(USRLIBDIR)/hubzero/bin/mergeauth
	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D screenshot $(USRLIBDIR)/hubzero/bin/screenshot
	make -C clientaction install
	make -C pixelflip install

	install --owner root --group root --mode 0755 -d $(ETCDIR)/profile.d
	install apps.sh $(ETCDIR)/profile.d --owner root --group root --mode 0755

clean:
	rm -f configure-stamp build-stamp
	make -C clientaction clean
	make -C pixelflip clean

=== clientaction/Makefile ===
--- 
+++ 
@@ -1,9 +1,29 @@
-# Copyright 2006-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
+# @package      hubzero-mw-session
+# @file         clientaction/Makefile
+# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
+# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
+# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
+#
+# Copyright (c) 2010-2011 Purdue University
 # All rights reserved.
 #
-# This library is free software; you can redistribute it and/or
-# modify it under the terms of the GNU Lesser General Public
-# License, version 2.1 as published by the Free Software Foundation.
+# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
+#
+# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
+# software: you can redistribute it and/or modify it under the terms of
+# the GNU Lesser General Public License as published by the Free Software
+# Foundation, either version 3 of the License, or (at your option) any
+# later version.
+#
+# HUBzero is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+# HUBzero is a registered trademark of Purdue University.
 
 INSTDIR=$(DESTDIR)/usr/lib
 OWNER=root

=== pixelflip/Makefile ===
# @package      hubzero-mw-session
# @file         pixelflip/Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @author       John Rosheck <jrosheck@purdue.edu>
# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2011 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.

USRLIBDIR=$(DESTDIR)/usr/lib
OWNER=root
GROUP=root

CFLAGS	= -O2
LDFLAGS	= -lX11

pixelflip: pixelflip.c

install: clean pixelflip
	install -d $(USRLIBDIR)/hubzero --owner $(OWNER) --group $(GROUP) --mode 0755
	install -d $(USRLIBDIR)/hubzero/bin --owner $(OWNER) --group $(GROUP) --mode 0755
	install pixelflip $(USRLIBDIR)/hubzero/bin --owner $(OWNER) --group $(GROUP) --mode 0755
	
clean:
	rm -f pixelflip

## hubzero-mw-session 1.0.1

=== pixelflip/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 #
 # HUBzero is a registered trademark of Purdue University.
 
-USRLIBDIR=$(DESTDIR)/usr/lib
+USRBINDIR=$(DESTDIR)/usr/lib
 OWNER=root
 GROUP=root
 
@@ -36,9 +36,7 @@
 pixelflip: pixelflip.c
 
 install: clean pixelflip
-	install -d $(USRLIBDIR)/hubzero --owner $(OWNER) --group $(GROUP) --mode 0755
-	install -d $(USRLIBDIR)/hubzero/bin --owner $(OWNER) --group $(GROUP) --mode 0755
-	install pixelflip $(USRLIBDIR)/hubzero/bin --owner $(OWNER) --group $(GROUP) --mode 0755
+	install pixelflip $(USRBINDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
 	
 clean:
 	rm -f pixelflip

## hubzero-mw-session 1.0.2

=== Makefile ===
--- 
+++ 
@@ -27,18 +27,16 @@
 
 OWNER=root
 GROUP=root
-USRLIBDIR=$(DESTDIR)/usr/lib
+USRBINDIR=$(DESTDIR)/usr/bin
 ETCDIR=$(DESTDIR)/etc
 
 all:
 	@true
 
 install:
-	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(USRLIBDIR)/hubzero
-	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(USRLIBDIR)/hubzero/bin
-	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D startxvnc $(USRLIBDIR)/hubzero/bin/startxvnc
-	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D mergeauth $(USRLIBDIR)/hubzero/bin/mergeauth
-	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D screenshot $(USRLIBDIR)/hubzero/bin/screenshot
+	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D startxvnc $(USRBINDIR)/startxvnc
+	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D mergeauth $(USRBINDIR)/mergeauth
+	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D screenshot $(USRBINDIR)/screenshot
 	make -C clientaction install
 	make -C pixelflip install

=== clientaction/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 #
 # HUBzero is a registered trademark of Purdue University.
 
-INSTDIR=$(DESTDIR)/usr/lib
+USRBINDIR=$(DESTDIR)/usr/bin
 OWNER=root
 GROUP=root
 
@@ -36,7 +36,5 @@
 	rm -f clientaction vncExt.o clientaction.o
 
 install: clean clientaction
-	install -d $(INSTDIR)/hubzero --owner $(OWNER) --group $(GROUP) --mode 0755
-	install -d $(INSTDIR)/hubzero/bin --owner $(OWNER) --group $(GROUP) --mode 0755
-	install clientaction $(INSTDIR)/hubzero/bin --owner $(OWNER) --group $(GROUP) --mode 0755
+	install clientaction $(USRBINDIR) --owner $(OWNER) --group $(GROUP) --mode 0755

=== pixelflip/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 #
 # HUBzero is a registered trademark of Purdue University.
 
-USRBINDIR=$(DESTDIR)/usr/lib
+USRBINDIR=$(DESTDIR)/usr/bin
 OWNER=root
 GROUP=root
 
@@ -36,7 +36,7 @@
 pixelflip: pixelflip.c
 
 install: clean pixelflip
-	install pixelflip $(USRBINDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
+	install pixelflip $(USRBINDIR)/pixelflip --owner $(OWNER) --group $(GROUP) --mode 0755
 	
 clean:
 	rm -f pixelflip

## hubzero-mw-session 1.1.1

=== Makefile ===
# @package      hubzero-mw-session
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.

USRBINDIR=$(DESTDIR)/usr/bin
ETCDIR=$(DESTDIR)/etc

all:
	@true

install:
	install -D startxvnc $(USRBINDIR)/startxvnc --mode 0750
	install -D mergeauth $(USRBINDIR)/mergeauth --mode 0750 
	install -D screenshot $(USRBINDIR)/screenshot --mode 0750
	make -C clientaction install
	make -C pixelflip install

	install -d $(ETCDIR)/profile.d --mode 0755 
	install apps.sh $(ETCDIR)/profile.d --mode 0755

clean:
	rm -f configure-stamp build-stamp
	make -C clientaction clean
	make -C pixelflip clean

## hubzero-mw-session 1.1.2

=== clientaction/Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 # @package      hubzero-mw-session
 # @file         clientaction/Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
+# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2011 Purdue University
-# All rights reserved.
+# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -23,11 +22,9 @@
 # You should have received a copy of the GNU Lesser General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-# HUBzero is a registered trademark of Purdue University.
+# HUBzero is a registered trademark of HUBzero Foundation, LLC.
 
 USRBINDIR=$(DESTDIR)/usr/bin
-OWNER=root
-GROUP=root
 
 clientaction: vncExt.o clientaction.o
 	cc -o $@ vncExt.o clientaction.o -lX11
@@ -36,5 +33,5 @@
 	rm -f clientaction vncExt.o clientaction.o
 
 install: clean clientaction
-	install clientaction $(USRBINDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
+	install clientaction $(USRBINDIR) --mode 0755

## hubzero-mw-session 1.1.8

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	install -D screenshot $(USRBINDIR)/screenshot --mode 0750
 	make -C clientaction install
 	make -C pixelflip install
+	make -C hzvncresize install
 
 	install -d $(ETCDIR)/profile.d --mode 0755 
 	install apps.sh $(ETCDIR)/profile.d --mode 0755
@@ -44,4 +45,4 @@
 	rm -f configure-stamp build-stamp
 	make -C clientaction clean
 	make -C pixelflip clean
-
+	make -C hzvncresize clean

=== hzvncresize/Makefile ===
# @package      hubzero-mw-session
# @file         hzvncresize/Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.

USRBINDIR=$(DESTDIR)/usr/bin

hzvncresize: hzvncresize.o
	cc -o $@ hzvncresize.o -lvncclient

clean:
	rm -f hzvncresize hzvncresize.o

install: clean hzvncresize
	install hzvncresize $(USRBINDIR) --mode 0755

=== pixelflip/Makefile ===
--- 
+++ 
@@ -2,11 +2,10 @@
 # @file         pixelflip/Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
 # @author       John Rosheck <jrosheck@purdue.edu>
-# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
+# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2011 Purdue University
-# All rights reserved.
+# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -24,11 +23,9 @@
 # You should have received a copy of the GNU Lesser General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-# HUBzero is a registered trademark of Purdue University.
+# HUBzero is a registered trademark of HUBzero Foundation, LLC.
 
 USRBINDIR=$(DESTDIR)/usr/bin
-OWNER=root
-GROUP=root
 
 CFLAGS	= -O2
 LDFLAGS	= -lX11
@@ -36,7 +33,7 @@
 pixelflip: pixelflip.c
 
 install: clean pixelflip
-	install pixelflip $(USRBINDIR)/pixelflip --owner $(OWNER) --group $(GROUP) --mode 0755
+	install pixelflip $(USRBINDIR)/pixelflip --mode 0755
 	
 clean:
 	rm -f pixelflip

## hubzero-mw-session 1.1.9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-mw-session
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -39,7 +39,7 @@
 	make -C hzvncresize install
 
 	install -d $(ETCDIR)/profile.d --mode 0755 
-	install apps.sh $(ETCDIR)/profile.d --mode 0755
+	install apps.sh $(ETCDIR)/profile.d --mode 0644
 
 clean:
 	rm -f configure-stamp build-stamp

=== clientaction/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-mw-session
 # @file         clientaction/Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

=== hzvncresize/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-mw-session
 # @file         hzvncresize/Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

=== pixelflip/Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # @file         pixelflip/Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
 # @author       John Rosheck <jrosheck@purdue.edu>
-# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-mw-session 1.1.10

=== clientaction/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-mw-session
 # @file         clientaction/Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

=== hzvncresize/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-mw-session
 # @file         hzvncresize/Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2012-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

=== pixelflip/Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # @file         pixelflip/Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
 # @author       John Rosheck <jrosheck@purdue.edu>
-# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-mw-session 1.1.13

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-mw-session
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-mw-session 1.2.0

=== Makefile ===
--- 
+++ 
@@ -23,26 +23,33 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
+#
 
-USRBINDIR=$(DESTDIR)/usr/bin
-ETCDIR=$(DESTDIR)/etc
+USRBIN=$(DESTDIR)/usr/bin
+ETC=$(DESTDIR)/etc
 
 all:
 	@true
 
 install:
-	install -D startxvnc $(USRBINDIR)/startxvnc --mode 0750
-	install -D mergeauth $(USRBINDIR)/mergeauth --mode 0750 
-	install -D screenshot $(USRBINDIR)/screenshot --mode 0750
+	install -D startxvnc $(USRBIN)/startxvnc --mode 0750
+	install -D mergeauth $(USRBIN)/mergeauth --mode 0750 
+	install -D screenshot $(USRBIN)/screenshot --mode 0750
 	make -C clientaction install
 	make -C pixelflip install
 	make -C hzvncresize install
+	install -d $(ETC)/profile.d --mode 0755 
+	install apps.sh $(ETC)/profile.d --mode 0644
 
-	install -d $(ETCDIR)/profile.d --mode 0755 
-	install apps.sh $(ETCDIR)/profile.d --mode 0644
+uninstall:
+	@true
+
+postinst:
+	@true
 
 clean:
-	rm -f configure-stamp build-stamp
 	make -C clientaction clean
 	make -C pixelflip clean
 	make -C hzvncresize clean
+
+.PHONY: all install uninstall postinst clean

=== clientaction/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 USRBINDIR=$(DESTDIR)/usr/bin
 
 clientaction: vncExt.o clientaction.o
-	cc -o $@ vncExt.o clientaction.o -lX11
+	cc $(LDFLAGS) -o $@ vncExt.o clientaction.o -lX11
 
 clean:
 	rm -f clientaction vncExt.o clientaction.o

=== hzvncresize/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 USRBINDIR=$(DESTDIR)/usr/bin
 
 hzvncresize: hzvncresize.o
-	cc -o $@ hzvncresize.o -lvncclient
+	cc $(LDFLAGS) -o $@ hzvncresize.o -lvncclient
 
 clean:
 	rm -f hzvncresize hzvncresize.o

=== pixelflip/Makefile ===
--- 
+++ 
@@ -27,8 +27,8 @@
 
 USRBINDIR=$(DESTDIR)/usr/bin
 
-CFLAGS	= -O2
-LDFLAGS	= -lX11
+CFLAGS	+= -O2
+LDFLAGS	+= -lX11
 
 pixelflip: pixelflip.c

## hubzero-mw-session 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-mw-session
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

=== clientaction/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-mw-session
 # @file         clientaction/Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

=== hzvncresize/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-mw-session
 # @file         hzvncresize/Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2012-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2012-2015 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2015 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

=== pixelflip/Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # @file         pixelflip/Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
 # @author       John Rosheck <jrosheck@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-mw-session 2.0.0

=== pixelflip/Makefile ===
# @package      hubzero-mw-session
# @file         pixelflip/Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @author       John Rosheck <jrosheck@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.

USRBINDIR=$(DESTDIR)/usr/bin

CFLAGS	+= -O2
LDFLAGS	+= -lX11

pixelflip: pixelflip.c

install: clean pixelflip
	install pixelflip $(USRBINDIR)/pixelflip --mode 0755
	
clean:
	rm -f pixelflip

## hubzero-mw-session 2.1.0

=== Makefile ===
# @package      hubzero-mw-session
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin
ETC=$(DESTDIR)/etc

all:
	@true

install:
	install -D startxvnc $(USRBIN)/startxvnc --mode 0750
	install -D mergeauth $(USRBIN)/mergeauth --mode 0750 
	install -D screenshot $(USRBIN)/screenshot --mode 0750
	make -C clientaction install
	make -C pixelflip install
	make -C hzvncresize install
	install -d $(ETC)/profile.d --mode 0755 
	install apps.sh $(ETC)/profile.d --mode 0644

uninstall:
	@true

postinst:
	@true

clean:
	make -C clientaction clean
	make -C pixelflip clean
	make -C hzvncresize clean

.PHONY: all install uninstall postinst clean

=== clientaction/Makefile ===
# @package      hubzero-mw-session
# @file         clientaction/Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.

USRBINDIR=$(DESTDIR)/usr/bin

clientaction: vncExt.o clientaction.o
	cc $(LDFLAGS) -o $@ vncExt.o clientaction.o -lX11

clean:
	rm -f clientaction vncExt.o clientaction.o

install: clean clientaction
	install clientaction $(USRBINDIR) --mode 0755

=== hzvncresize/Makefile ===
# @package      hubzero-mw-session
# @file         hzvncresize/Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2012-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.

USRBINDIR=$(DESTDIR)/usr/bin

hzvncresize: hzvncresize.o
	cc $(LDFLAGS) -o $@ hzvncresize.o -lvncclient

clean:
	rm -f hzvncresize hzvncresize.o

install: clean hzvncresize
	install hzvncresize $(USRBINDIR) --mode 0755

## hubzero-mw-session 2.2.1-1+deb9

=== debian/changelog ===
hubzero-mw-session (2.2.1-1+deb9) unstable; urgency=low

  * packaging update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 29 May 2018 10:54:49 -0400

hubzero-mw-session (2.2.0-1) unstable; urgency=low

  * startxvnc: override shell when su to nobody

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 21 May 2018 15:18:42 -0400

hubzero-mw-session (2.1.0-2) unstable; urgency=low

  * Add jupyter middleware support (passwd file permission) 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Dec 2016 10:43:11 -0500

hubzero-mw-session (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 29 Aug 2015 19:29:45 -0400

hubzero-mw-session (1.3.1-1) unstable; urgency=low

  * ratelimit screenshot command to once per 60 seconds
  * update copyrights

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 26 Feb 2015 15:06:32 -0500

hubzero-mw-session (1.3.0-2) unstable; urgency=low

  * add hubzero-tigervnc-server to recommended package list

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 24 Sep 2014 14:50:24 -0400

hubzero-mw-session (1.3.0-1) unstable; urgency=low

  * change hubzero-tigervnc-server to be the primary vnc server dependency

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 23 Sep 2014 09:04:15 -0400

hubzero-mw-session (1.2.0-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Sep 2014 14:57:40 -0400

hubzero-mw-session (1.1.14-1+deb6u1) unstable; urgency=low

  * startxvnc: fix variable reference typo introduced in last version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 25 Jul 2014 21:46:31 -0400

hubzero-mw-session (1.1.13-1+deb6u1) unstable; urgency=low

  * startxvnc: search for and use different vnc server binaries as appropriate
  * add pristine-tar support to build system

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 25 Jul 2014 16:27:11 -0400

hubzero-mw-session (1.1.12-1) unstable; urgency=low

  * startxvnc: remove redundant -co option not available in TigerVNC Xvnc
  * startxvnc: make font directory discovery more verbose and robust
  * startxvnc: fix runtime when running as normal user (testing)
  * screenshot: fix comments
  * screenshot: add note to someday write native screenshot utility

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 31 May 2014 16:09:57 -0400

hubzero-mw-session (1.1.11-1) unstable; urgency=low

  * screenshot: fix call to mktemp, not sure how 1.1.10 was working at all

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 05 May 2014 14:46:18 -0400

hubzero-mw-session (1.1.10-1) unstable; urgency=low

  * screenshot: overwrite screenshot file without leaving it truncated during screenshot
  * screenshot: silence screenshot utility
  * update copyrights for 2014

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 23 Apr 2014 16:01:20 -0400

hubzero-mw-session (1.1.9-1) unstable; urgency=low

  * fix copyrights and minor packaging issues

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Aug 2013 20:15:52 -0400

hubzero-mw-session (1.1.8-1) unstable; urgency=low

  * alter fontpath for better Debian 7.x compatibility

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 10 May 2013 11:04:13 -0400

hubzero-mw-session (1.1.6-3) unstable; urgency=low

  * add netpbm dependency for screenshot script

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 30 Nov 2012 13:50:26 -0500

hubzero-mw-session (1.1.6-2) unstable; urgency=low

  * add libvncserver0 dependency

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 28 Nov 2012 10:16:29 -0500

hubzero-mw-session (1.1.6-1) unstable; urgency=low

  * add option to screenshot to save png to a file
  * add hzvncresize application

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 28 Nov 2012 09:50:30 -0500

hubzero-mw-session (1.1.5-1) unstable; urgency=low

  * make hubzero-submit-client the dependency, not hubzero-submit 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 14:19:22 -0400

hubzero-mw-session (1.1.4-1) unstable; urgency=low

  * add sudo to dependency list 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 12:25:25 -0400

hubzero-mw-session (1.1.3-1) unstable; urgency=low

  * add recommended dependencies for all hubzero in-session packages

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 17 Sep 2012 19:51:56 -0400

hubzero-mw-session (1.1.2-1) unstable; urgency=low

  * remove reference to /etc/apps-environ.sh

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 07 Sep 2012 08:58:40 -0400

hubzero-mw-session (1.1.1-1) unstable; urgency=low

  * increase timer limit for session creation
  * update copyrights for HUBzero Foundation LLC.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 28 Aug 2012 09:46:01 -0400

hubzero-mw-session (1.1.0-1) unstable; urgency=low

  * remove references to hubzero directories in favor of Xvnc directories

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 01 Mar 2012 12:22:10 -0500

hubzero-mw-session (1.0.3-1) unstable; urgency=low

  * fix shell variable assignments

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 08 Nov 2011 14:32:59 -0500

hubzero-mw-session (1.0.2-1) unstable; urgency=low

  * install pixelflip in /usr/bin

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 08 Nov 2011 12:07:30 -0500

hubzero-mw-session (1.0.1-2) unstable; urgency=low

  * remove libtcl8.4-dev dependency

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 08 Nov 2011 12:01:38 -0500

hubzero-mw-session (1.0.1-1) unstable; urgency=low

  * Remove bashisms
  * Move binary installation to /usr/bin

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 07 Nov 2011 17:09:18 -0500

hubzero-mw-session (1.0.0-1) testing; urgency=low

  * Updated to 1.0

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 08 Apr 2011 00:09:55 -0400



=== debian/control ===
Source: hubzero-mw-session
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), libxext-dev, libvncserver-dev
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-mw-session
Architecture: any
Depends: hubzero-tigervnc-server|vnc4server, libvncserver0, netpbm, ${shlibs:Depends}, ${misc:Depends}
Recommends: hubzero-use, hubzero-use-apps (>= 1.1), hubzero-icewm, hubzero-icewm-captive, hubzero-icewm-themes, hubzero-chuse, hubzero-filexfer, hubzero-invokeapp, hubzero-ratpoison-captive, hubzero-twm-captive, hubzero-submit-client, sudo, hubzero-tigervnc-server
Description: HUBzero middleware session tools
 Collection of tools required to startup and maintain HUBzero 
 middleware session containers.

## hubzero-mw-session 2.2.1-2+deb9

=== debian/changelog ===
hubzero-mw-session (2.2.1-2+deb9) unstable; urgency=low

  * stretch dependency change (libvncclient1)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 29 May 2018 17:08:41 -0400

hubzero-mw-session (2.2.1-1) unstable; urgency=low

  * packaging update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 29 May 2018 10:54:49 -0400

## hubzero-mw-session 2.2.2-0+deb9

=== debian/changelog ===
hubzero-mw-session (2.2.2-0+deb9) unstable; urgency=low

  * support xorg-server >= 1.17 based Xtigervnc

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 31 May 2018 14:50:21 -0400

hubzero-mw-session (2.2.1-2) unstable; urgency=low

  * stretch dependency change (libvncclient1)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 29 May 2018 17:08:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,3 +1,4 @@
+
 Source: hubzero-mw-session
 Section: misc
 Priority: optional
@@ -8,7 +9,7 @@
 
 Package: hubzero-mw-session
 Architecture: any
-Depends: hubzero-tigervnc-server|vnc4server, libvncserver0, netpbm, ${shlibs:Depends}, ${misc:Depends}
+Depends: hubzero-tigervnc-server|vnc4server, netpbm, ${shlibs:Depends}, ${misc:Depends}    ,libvncclient1
 Recommends: hubzero-use, hubzero-use-apps (>= 1.1), hubzero-icewm, hubzero-icewm-captive, hubzero-icewm-themes, hubzero-chuse, hubzero-filexfer, hubzero-invokeapp, hubzero-ratpoison-captive, hubzero-twm-captive, hubzero-submit-client, sudo, hubzero-tigervnc-server
 Description: HUBzero middleware session tools
  Collection of tools required to startup and maintain HUBzero

## hubzero-mw-session 2.2.3-0+deb9

=== debian/changelog ===
hubzero-mw-session (2.2.3-0+deb9) unstable; urgency=low

  * startxvnc: fix quoting and order of extra arguments to tigervnc server

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 31 May 2018 14:50:21 -0400

hubzero-mw-session (2.2.2-0) unstable; urgency=low

  * support xorg-server >= 1.17 based Xtigervnc

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 31 May 2018 14:50:21 -0400

## hubzero-mw-session 2.2.4-0+deb9

=== debian/changelog ===
hubzero-mw-session (2.2.4-0+deb9) unstable; urgency=low

  * startxvnc: suppress font related warning messages

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 01 Jun 2018 14:06:21 -0400

hubzero-mw-session (2.2.3-0) unstable; urgency=low

  * startxvnc: fix quoting and order of extra arguments to tigervnc server

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 01 Jun 2018 11:35:02 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: hubzero-mw-session
 Architecture: any
-Depends: hubzero-tigervnc-server|vnc4server, netpbm, ${shlibs:Depends}, ${misc:Depends}    ,libvncclient1
+Depends: hubzero-tigervnc-server, netpbm, ${shlibs:Depends}, ${misc:Depends}    ,libvncclient1
 Recommends: hubzero-use, hubzero-use-apps (>= 1.1), hubzero-icewm, hubzero-icewm-captive, hubzero-icewm-themes, hubzero-chuse, hubzero-filexfer, hubzero-invokeapp, hubzero-ratpoison-captive, hubzero-twm-captive, hubzero-submit-client, sudo, hubzero-tigervnc-server
 Description: HUBzero middleware session tools
  Collection of tools required to startup and maintain HUBzero

## hubzero-mw-session 2.2.5-0+deb9

=== debian/changelog ===
hubzero-mw-session (2.2.5-0+deb9) unstable; urgency=low

  * add x11-apps and xterm dependencies for Debian stretch

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 01 Jun 2018 14:12:09 -0400

hubzero-mw-session (2.2.4-0) unstable; urgency=low

  * startxvnc: suppress font related warning messages

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 01 Jun 2018 14:06:21 -0400

## hubzero-mw-session 2.2.6-0+deb8

=== debian/changelog ===
hubzero-mw-session (2.2.6-0+deb8) unstable; urgency=low

  * add x11-apps and xterm dependencies for Debian 8+

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 01 Jun 2018 14:12:09 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: hubzero-mw-session
 Architecture: any
-Depends: hubzero-tigervnc-server, netpbm, ${shlibs:Depends}, ${misc:Depends}    ,libvncclient1
+Depends: hubzero-tigervnc-server, netpbm, ${shlibs:Depends}, ${misc:Depends}   ,libvncserver0,x11-apps,xterm 
 Recommends: hubzero-use, hubzero-use-apps (>= 1.1), hubzero-icewm, hubzero-icewm-captive, hubzero-icewm-themes, hubzero-chuse, hubzero-filexfer, hubzero-invokeapp, hubzero-ratpoison-captive, hubzero-twm-captive, hubzero-submit-client, sudo, hubzero-tigervnc-server
 Description: HUBzero middleware session tools
  Collection of tools required to startup and maintain HUBzero
